#!/bin/csh
#
# BIGI Brigitte
# WordsTopN.csh
# Recherche des N mots les plus frquents
#
# En argument : N 
# Fichier XML sur stdin
# Liste des mots sur stdout
#

# Verify the number of arguments
# ------------------------------
if ($#argv != 1) then
        # Bip, print usage and exit
        printf '\a'
        echo "Usage: " `basename $0` " <N>" > "/dev/stderr"
        exit 1
endif

cat "/dev/stdin" | $CTTK/utils/XML2WordCounts.awk | $CTTK/utils/Counts2Vocab.awk -K $1 
