#!/usr/bin/env python

import sys
import codecs
Version = '1.0'


if len(sys.argv) > 1:
    if sys.argv[1] == '-v':
        sys.stdout.write("SplitChineseChars %s\n" % (Version))
        sys.stdout.write("Copyright 2008 Brigitte Bigi\n")
        sys.stdout.write("Released under the terms of the GNU General Public License.\n")
    else:
        sys.stdout.write("This program reads UTF-8 Unicode from the standard input\n")
        sys.stdout.write("and writes on the standard output the same text with spaces \n")
        sys.stdout.write("added after each chinese character.\n")
    sys.exit(2)

infile = codecs.getreader('utf-8')(sys.stdin)
sys.stdout = codecs.getwriter('utf-8')(sys.stdout)
sys.stderr = codecs.getwriter('utf-8')(sys.stderr)

CharCnt = 0
while 1:
    try:
        ch = infile.read(1)
        if not ch:
            sys.exit(0)
        CharCnt+=1        
        c = ord(ch)
	if c == "\xe3": 
	  sys.stdout.write(ch)
          sys.stdout.write("\n</orig>\n</sent>\n<sent>\n<orig>\n")
    except ValueError:
        sys.stderr.write("Invalid UTF-8 encountered in input after character %d.\n" % (CharCnt))
        sys.exit(1)
    except SystemExit:
        sys.exit(0)
    except IOError:
        sys.exit(0)
    except:
        sys.stderr.write("Error reading input after character %d.\n" % (CharCnt))
        sys.exit(2)
